Bug 165681 - CVE-2005-2458 gzip/zlib flaws (ipf)
CVE-2005-2458 gzip/zlib flaws (ipf)
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel (Show other bugs)
2.1
ia64 Linux
medium Severity low
: ---
: ---
Assigned To: Don Howard
Brian Brock
impact=low,source=vendorsec
: Security
Depends On:
Blocks: 143573
  Show dependency treegraph
 
Reported: 2005-08-11 07:51 EDT by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version: RHSA-2006-0190
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-01 12:45:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2005-08-11 07:51:17 EDT
+++ This bug was initially created as a clone of Bug #165679 +++

Tim Yamin from Gentoo noticed that some older security related bugs in the
decompression code had not been fixed in the kernel.  This is fairly minor as
there are few places where the kernel decompresses arbitrary data.  However it
could be a problem for things like zisofs (if someone mounts a malicious
filesystem), perhaps cslip or ppp too).

CAN-2005-2458 
http://sources.redhat.com/ml/bug-gnu-utils/1999-06/msg00183.html
impact=low,source=vendorsec,public=19990625

CAN-2005-2459
http://bugs.gentoo.org/show_bug.cgi?id=94584
impact=low,source=vendorsec,public=20050531

Fix for 2.6 is here, pretty much identical for 2.4:

http://linux.bkbits.net:8080/linux-2.6/cset@42f3f4e9KIoV6pLtA430xgwjKh2V7g
Comment 2 Mark J. Cox (Product Security) 2005-08-18 06:11:38 EDT
Sergey Vlasov has done some analysis on these issues and discovered that the
changes in file lib/zlib_inflate/inftrees.c are incorrect and in fact are not
needed.  Gentoo have agreed and therefore from the patch above please ignore the
lib/zlib_inflate/inftrees.c hunk.  This means that CAN-2005-2549 is dropped, but
CAN-2005-2548 still applies.
Comment 6 Red Hat Bugzilla 2006-02-01 12:45:47 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0190.html

Note You need to log in before you can comment on or make changes to this bug.